i2p.susi.util

## Class StringBuilderWriter

- java.lang.Object
- - java.io.Writer
  - - i2p.susi.util.StringBuilderWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class StringBuilderWriter
      extends Writer

  Writer implementation backed by StringBuilder.

- - ### Field Summary

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringBuilderWriter()`
    `StringBuilderWriter(int capacity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Writer` | `append(char c)`
    `Writer` | `append(CharSequence str)`
    `Writer` | `append(CharSequence str, int off, int len)`
    `void` | `close()` Does nothing.
    `void` | `flush()` Does nothing.
    `StringBuilder` | `getBuilder()`
    `String` | `toString()`
    `void` | `write(char[] cbuf)`
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(String str)`
    `void` | `write(String str, int off, int len)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringBuilderWriter

          public StringBuilderWriter()

    - #### StringBuilderWriter

          public StringBuilderWriter(int capacity)

  - ### Method Detail

    - #### append

          public Writer append(char c)

      Specified by:
        `append` in interface `Appendable`
      Overrides:
        `append` in class `Writer`

    - #### append

          public Writer append(CharSequence str)

      Specified by:
        `append` in interface `Appendable`
      Overrides:
        `append` in class `Writer`

    - #### append

          public Writer append(CharSequence str,
                               int off,
                               int len)

      Specified by:
        `append` in interface `Appendable`
      Overrides:
        `append` in class `Writer`

    - #### close

          public void close()

      Does nothing.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `Writer`

    - #### flush

          public void flush()

      Does nothing.
      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in class `Writer`

    - #### getBuilder

          public StringBuilder getBuilder()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### write

          public void write(char[] cbuf)

      Overrides:
        `write` in class `Writer`

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)

      Specified by:
        `write` in class `Writer`

    - #### write

          public void write(int c)

      Overrides:
        `write` in class `Writer`

    - #### write

          public void write(String str)

      Overrides:
        `write` in class `Writer`

    - #### write

          public void write(String str,
                            int off,
                            int len)

      Overrides:
        `write` in class `Writer`